/*
 * ObjExporter.h
 *
 *  Created on: Feb 4, 2013
 *      Author: romain
 */

#ifndef OBJEXPORTER_H_
#define OBJEXPORTER_H_

#include "utils.h"
#include "Hpolyhedron.h"

namespace nltool {


using namespace std;

class ObjExporter {
public:
	ObjExporter(int dim, const string fname="noname.obj");
	virtual ~ObjExporter();
	void save(Hpolyhedron& set);
	void save(std::vector<Hpolyhedron>& sets);

private:
	unsigned dimension;
	string filename;
	unsigned verticesOffset;
	unsigned objectIndices;
	unsigned groupIndices;
	vector<int> projectedAxis;

};

}  // namespace nltool

#endif /* OBJEXPORTER_H_ */
