/*
 * Set.h
 *
 *  Created on: Sep 24, 2012
 *      Author: romain
 */

#ifndef SET_H_
#define SET_H_

#include "utils.h"

namespace nltool {

/**
 * Interface class for all set representation
 */
class Set {
public:
	Set();
	virtual ~Set();

	virtual Number optimize(const Vector & direction, Vector & optPoint, bool max = true);

	unsigned getDimension();
	void setDimension(unsigned  dimension);

protected:
	unsigned dimension;
};


}  // namespace nltool

#endif /* SET_H_ */
