#include "utils.h"
#include "Hpolyhedron.h"

void testInterface();

namespace nltool {

using namespace std;
using namespace arma;

Hpolyhedron create2DSet(int nbfaces, double radius, doubleVector translation);

Number testFuncF(const int x, const stdVector &pt);

Number testFuncDf(const int x, const stdVector &pt, const int dx);

Number testFuncDdf(const int x, const stdVector &pt, const int dx,
		const int dy);

PolynomialSystem test3D(Hpolyhedron& initialSet);

PolynomialSystem test2D(Hpolyhedron& initialSet);

PolynomialSystem species2D(Hpolyhedron& initialSet);

void testHybridization();

void testPolynomialMethod();

void testLinearReach4D();

void testLinearReach();

void testSimplexGLPK();

void testlib();

} // namespace nltool
